/*
 * Copyright (C) 2006 Sun Microsystems, Inc. All rights reserved. Use is
 * subject to license terms.
 */
/***********************************************************************
ColorSafe 1.0 Beta - http://www.woven-media.com/
Copyright (C) 2008-2009, Brent Allen Parrish <info@woven-media.com>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
************************************************************************/
package com.woven_media.colorsafe;
// util
import java.util.EventListener;

/**
 * ApplicationListener is used by Application to notify listeners of major
 * events during the lifecycle of an Application.
 *
 * @version $Revision$
 */
public interface ApplicationListener extends EventListener {
    /**
     * Invoked after the application has finished intializing.
     */
    public void applicationDidInit();

    /**
     * Invoked to determine if the application should exit. A return value
     * of false will stop the application from exiting.
     *
     * @return true if the application should be allowed to exit, otherwise
     *         false
     */
    public boolean canApplicationExit();

    /**
     * Notification that the application is about to exit.
     */
    public void applicationExiting();
}
